<?php

namespace App\Modules\User\Models;

use Illuminate\Database\Eloquent\Model;

class UserSign extends Model
{
    protected $table = 'user_sign';
    protected $fillable = ['uid', 'price', 'day', 'sign_time'];

    public function setCurrentTable($time = '')
    {
        if ($time == '201906') {
            $this->setTable('user_sign');
        } else {
            $this->setTable('user_sign' . $time);
        }
    }
}
